petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCSORGetOmega

Gets the SOR relaxation coefficient, omega (where omega = 1.0 by default).

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSORGetOmega(PC pc,PetscReal *omega)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

omega -relaxation coefficient (0 < omega < 2).

### Options Database Key

-pc_sor_omega <omega> -Sets omega

### Keywords

PC, SOR, SSOR, set, relaxation, omega

### See Also

PCSORSetSymmetric(), PCSORSetIterations(), PCEisenstatSetOmega(), PCSORSetOmega()

Level:intermediate
Location:src/ksp/pc/impls/sor/sor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages